"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RoomFixedUpdateEvent = void 0;
const events_1 = require("@skeldjs/events");
/**
 * Emitted when the room completes a fixed update cycle. (Every 20ms)
 */
class RoomFixedUpdateEvent extends events_1.CancelableEvent {
    constructor(room, 
    /**
     * The game data stream that the room will broadcast.
     */
    stream) {
        super();
        this.room = room;
        this.stream = stream;
        this.eventName = "room.fixedupdate";
    }
}
exports.RoomFixedUpdateEvent = RoomFixedUpdateEvent;
RoomFixedUpdateEvent.eventName = "room.fixedupdate";
//# sourceMappingURL=FixedUpdate.js.map