import { GameOverReason } from "@skeldjs/constant";
import { BasicEvent } from "@skeldjs/events";
import { Hostable } from "../../Hostable";
import { RoomEvent } from "../RoomEvent";
/**
 * Emitted when a game ends.
 */
export declare class RoomGameEndEvent<RoomType extends Hostable = Hostable> extends BasicEvent implements RoomEvent {
    readonly room: RoomType;
    /**
     * The reason for why the game ended.
     */
    readonly reason: GameOverReason;
    static eventName: "room.gameend";
    eventName: "room.gameend";
    constructor(room: RoomType, 
    /**
     * The reason for why the game ended.
     */
    reason: GameOverReason);
}
